function init(hero) {
    hero.setName("Superboy");
    hero.setVersion("\u00A7l\u00A7o\u00A74Skarred \u00A7r\u00A7l\u00A76Heroes\u00A7r");
    hero.setTier(4);
    
    hero.setChestplate("Shirt");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("sfiskpack:partial_kryptonian_physiology");
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("JUMP_HEIGHT", 6.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 9.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.6, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 1.0, 0);
    
    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 1);
    
    hero.setDefaultScale(1.0);
    hero.setModifierEnabled(isModifierEnabled);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}

function isModifierEnabled(entity, modifier) {
    return modifier == "fiskheroes:eternium" || !entity.hasStatusEffect("fiskheroes:eternium");
}